branch_create {git2r} | R Documentation

## Create a branch

### Description

Create a branch

### Usage

    branch_create(commit = NULL, name = NULL, force = FALSE)

### Arguments

`commit` | Commit to which branch should point.
`name` | Name for the branch
`force` | Overwrite existing branch. Default = FALSE

### Value

invisible git_branch object

### Examples

    ## Not run:
    ## Initialize a temporary repository
    path <- tempfile(pattern="git2r-")
    dir.create(path)
    repo <- init(path)

    ## Create a user and commit a file
    config(repo, user.name="Alice", user.email="alice@example.org")
    writeLines("Hello world!", file.path(path, "example.txt"))
    add(repo, "example.txt")
    commit_1 <- commit(repo, "First commit message")

    ## Create a branch
    branch_1 <- branch_create(commit_1, name = "test-branch")

    ## Add one more commit
    writeLines(c("Hello world!", "HELLO WORLD!"), file.path(path, "example.txt"))
    add(repo, "example.txt")
    commit_2 <- commit(repo, "Another commit message")

    ## Create a branch with the same name should fail
    try(branch_create(commit_2, name = "test-branch"), TRUE)

    ## Force it
    branch_2 <- branch_create(commit_2, name = "test-branch", force = TRUE)

    ## End(Not run)

[Package git2r version 0.23.0 Index]